import "./App.css";
import React from "react";
import InstructionPage from "./pages/instructionPage";
import SettingsPage from "./pages/settingsPages/settingsPage";
import UsernamePage from "./pages/usernamePage";
import PlayPage from "./pages/playPage";
import { Route, BrowserRouter as Router, Switch } from "react-router-dom";
import MainPage from "./pages/mainPage";
import SummaryPage from "./pages/summaryPage";

function App() {
  return (
    <Router>
      <Switch>
        <Route path="/" exact component={MainPage} />
        <Route path="/settings" component={SettingsPage} />
        <Route path="/instructions" exact component={InstructionPage} />
        <Route path="/username" exact component={UsernamePage} />
        <Route path="/play" exact component={PlayPage} />
        <Route path="/summary" exact component={SummaryPage} />
      </Switch>
    </Router>
  );
}

export default App;
